OrcProto.PostScriptOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.PostScriptOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.PostScript, OrcProto.PostScript.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.PostScriptOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.CompressionKind` | `getCompression()` `optional .orc.proto.CompressionKind compression = 2;`
    `long` | `getCompressionBlockSize()` `optional uint64 compressionBlockSize = 3;`
    `long` | `getFooterLength()` `optional uint64 footerLength = 1;`
    `String` | `getMagic()` `optional string magic = 8000;`
    `com.google.protobuf.ByteString` | `getMagicBytes()` `optional string magic = 8000;`
    `long` | `getMetadataLength()` `optional uint64 metadataLength = 5;`
    `int` | `getVersion(int index)` `repeated uint32 version = 4 [packed = true];`
    `int` | `getVersionCount()` `repeated uint32 version = 4 [packed = true];`
    `List<Integer>` | `getVersionList()` `repeated uint32 version = 4 [packed = true];`
    `int` | `getWriterVersion()` `optional uint32 writerVersion = 6;`
    `boolean` | `hasCompression()` `optional .orc.proto.CompressionKind compression = 2;`
    `boolean` | `hasCompressionBlockSize()` `optional uint64 compressionBlockSize = 3;`
    `boolean` | `hasFooterLength()` `optional uint64 footerLength = 1;`
    `boolean` | `hasMagic()` `optional string magic = 8000;`
    `boolean` | `hasMetadataLength()` `optional uint64 metadataLength = 5;`
    `boolean` | `hasWriterVersion()` `optional uint32 writerVersion = 6;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasFooterLength

          boolean hasFooterLength()

      `optional uint64 footerLength = 1;`

    - #### getFooterLength

          long getFooterLength()

      `optional uint64 footerLength = 1;`

    - #### hasCompression

          boolean hasCompression()

      `optional .orc.proto.CompressionKind compression = 2;`

    - #### getCompression

          OrcProto.CompressionKind getCompression()

      `optional .orc.proto.CompressionKind compression = 2;`

    - #### hasCompressionBlockSize

          boolean hasCompressionBlockSize()

      `optional uint64 compressionBlockSize = 3;`

    - #### getCompressionBlockSize

          long getCompressionBlockSize()

      `optional uint64 compressionBlockSize = 3;`

    - #### getVersionList

          List<Integer> getVersionList()

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

    - #### getVersionCount

          int getVersionCount()

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

    - #### getVersion

          int getVersion(int index)

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

    - #### hasMetadataLength

          boolean hasMetadataLength()

      `optional uint64 metadataLength = 5;`

    - #### getMetadataLength

          long getMetadataLength()

      `optional uint64 metadataLength = 5;`

    - #### hasWriterVersion

          boolean hasWriterVersion()

      `optional uint32 writerVersion = 6;`

           Version of the writer:
             0 (or missing) = original
             1 = HIVE-8732 fixed
             2 = HIVE-4243 fixed
             3 = HIVE-12055 fixed
             4 = HIVE-13083 fixed

    - #### getWriterVersion

          int getWriterVersion()

      `optional uint32 writerVersion = 6;`

           Version of the writer:
             0 (or missing) = original
             1 = HIVE-8732 fixed
             2 = HIVE-4243 fixed
             3 = HIVE-12055 fixed
             4 = HIVE-13083 fixed

    - #### hasMagic

          boolean hasMagic()

      `optional string magic = 8000;`

           Leave this last in the record

    - #### getMagic

          String getMagic()

      `optional string magic = 8000;`

           Leave this last in the record

    - #### getMagicBytes

          com.google.protobuf.ByteString getMagicBytes()

      `optional string magic = 8000;`

           Leave this last in the record

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.